import numpy as np
import random
import matplotlib.pyplot as plt
plt.style.use('seaborn-deep')

# Random numbers
def uniformity():
	a = 2000
	A = [0 for _ in range(a)]
	B = [0 for _ in range(a)]
	for i in range(a):
		x = random.random()
		A[i] = x
		B[i] = -1/10 * np.log(x)
	fig = plt.figure(1, figsize=(6,2.5))
	ax = fig.add_subplot(111, label='')
	color = next(ax._get_lines.prop_cycler)["color"]
	ax.hist(A, color=color, alpha=0.5)
	ax.hist(A, label="Uniform", color=color, edgecolor=color, fc="None", lw=1)
	color = next(ax._get_lines.prop_cycler)["color"]
	ax.hist(B, color=color, alpha=0.5)
	ax.hist(B, label="Exponential", color=color, edgecolor=color, fc="None", lw=1)
	plt.xlabel('Value')
	plt.ylabel('Count of value')
	plt.legend()
	plt.tight_layout()
	plt.show()

if __name__ == "__main__":
	uniformity()